Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security
Class UserInfo

    java.lang.Object
      weblogic.xml.security.UserInfo

Deprecated. please use new WS Security API

    public class UserInfo

extends Object

UserInfo is used to return user information from Security elements in of Secure SOAP elements. These typically include a username and some authenticating information, either a plain text password or a password digest. In the case of password digests, the UserInfo object will also allow you to verify the digest.

Constructor Summary
`UserInfo(String username)` Deprecated. Creates a UserInfo with the username provide.d
`UserInfo(String username, byte[] digest, String nonce, String created)` Deprecated. Creates a UserInfo with the username, password digest, and digest components.
`UserInfo(String username, String password)` Deprecated. Creates a UserInfo with the username and password provided.

Method Summary
`String` | `getPassword()` Deprecated. Returns the password string, if available.
`byte[]` | `getPasswordDigest()` Deprecated. returns the password digest, if availalble.
`String` | `getUsername()` Deprecated.
`boolean` | `verifyPassword(String password)` Deprecated. Verifies this UserInfo's password matches the provided password.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(String username)

  Deprecated.
  Creates a UserInfo with the username provide.d

  Parameters:
    `username` -

### UserInfo

    public UserInfo(String username,
                    String password)

  Deprecated.
  Creates a UserInfo with the username and password provided.

  Parameters:
    `username` -
    `password` -

### UserInfo

    public UserInfo(String username,
                    byte[] digest,
                    String nonce,
                    String created)

  Deprecated.
  Creates a UserInfo with the username, password digest, and digest components.

  Parameters:
    `username` - the username
    `digest` - the unencoded bytes of the digest.
    `nonce` - a String containing random data, included in the hash computation
    `created` - -- A XSD:DateTime time string.

Method Detail

### getUsername

    public String getUsername()

  Deprecated.

### getPassword

    public String getPassword()

  Deprecated.
  Returns the password string, if available.

  Returns:
    the password as a String

### getPasswordDigest

    public byte[] getPasswordDigest()

  Deprecated.
  returns the password digest, if availalble.

  Returns:

### verifyPassword

    public boolean verifyPassword(String password)
                           throws NoSuchAlgorithmException

  Deprecated.
  Verifies this UserInfo's password matches the provided password. If only a password digest is available, it will compute the digests from the provided Password and verify the match.

  Parameters:
    `password` -
  Returns:
  Throws:
    `NoSuchAlgorithmException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD